QUOTACHECK(8)

NAME
quotacheck - filesystem quota consistency checker

SYNOPSIS
quotacheck [-adguv] [-l maxparallel] filesystem ...

DESCRIPTION
quotacheck examines each filesystem, builds a table of current disk usage, and compares this table against that recorded in the disk quota file for the filesystem. If any inconsistencies are detected, both the quota file and the current system copy of the incorrect quotas are updated (the latter only occurs if an active filesystem is checked). By default, both user and group quotas are checked.

Available options:

-a  If the -a flag is supplied in place of any filesystem names, quotacheck will check all the filesystems indicated in /etc/fstab to be read-write with disk quotas. By default, only the types of quotas listed in /etc/fstab are checked.

-d  Enable debugging mode. No actual data will be written on disk(s).

-g  Only group quotas listed in /etc/fstab are to be checked.

-l maxparallel
    Limit the number of parallel checks to the number maxparallel specified in the argument (see fsck(8)).

-u  Only user quotas listed in /etc/fstab are to be checked.

-v  quotacheck reports discrepancies between the calculated and recorded disk quotas.

Specifying both -g and -u is equivalent to the default. Parallel passes are run on the filesystems required, using the pass numbers in /etc/fstab in an identical fashion to fsck(8).

Normally quotacheck operates silently.

quotacheck expects each filesystem to be checked to have quota files named quota.user and quota.group located at the root of the associated file system. These defaults may be overridden in /etc/fstab. If a file is not present, quotacheck will create it.

quotacheck is normally run at boot time from the /etc/rc file (see rc(8)) before enabling disk quotas with quotaon(8).

quotacheck accesses the raw device in calculating the actual disk usage for each user. Thus, the filesystems checked should be quiescent while quotacheck is running.

FILES
quota.user
    at the filesystem root with user quotas
quota.group
    at the filesystem root with group quotas
/etc/fstab
    default filesystems

SEE ALSO
quota(1), quotactl(2), fstab(5), edquota(8), fsck(8), quotaon(8), repquota(8)

HISTORY
The quotacheck command appeared in 4.2BSD.